package com.fq.channel.sdk.base.net.result;


/**
 * Created by Ethan on 2017/7/5.
 * 初始化接口返回的参数
 */

public class ResultInitBody {

    /**
     * 先判断closeState再判断updateState
     */


    /**
     * 游戏是否关闭 0不关闭 1关闭  关闭了如有colseUrl则转到closeUrl,没有的话回调初始化失败
     */
    private String closeState;

    /**
     * 客服QQ
     */
    private String linkQq;

    /**
     * 是否更新 0不更新 1非强制更新 2强制更新 updateUrl为更新的链接
     */
    private String updateState;

    /**
     * 更新的链接
     */
    private String updateUrl;

    /**
     * 是否显示悬浮小球
     */
    private String isFloatDisable;

    /**
     * 游戏关闭时跳转的url
     */
    private String closeUrl;

    /**
     * 广告参数
     */
    private String adPrams;

    /**
     *
     */
    private String thirdPartyPrams;

    /**
     * 客服电话
     */
    private String linkTel;

    /**
     * H5游戏的链接
     */
    private String h5GameUrl;

    /**
     * 是否是审核服 1审核 0正式  IOS所需的，Android暂时没有用到
     */
    private String serverStatus;


    public String getCloseState() {
        return closeState;
    }

    public void setCloseState(String closeState) {
        this.closeState = closeState;
    }

    public String getLinkQq() {
        return linkQq;
    }

    public void setLinkQq(String linkQq) {
        this.linkQq = linkQq;
    }

    public String getUpdateState() {
        return updateState;
    }

    public void setUpdateState(String updateState) {
        this.updateState = updateState;
    }

    public String getUpdateUrl() {
        return updateUrl;
    }

    public void setUpdateUrl(String updateUrl) {
        this.updateUrl = updateUrl;
    }

    public String getIsFloatDisable() {
        return isFloatDisable;
    }

    public void setIsFloatDisable(String isFloatDisable) {
        this.isFloatDisable = isFloatDisable;
    }

    public String getCloseUrl() {
        return closeUrl;
    }

    public void setCloseUrl(String closeUrl) {
        this.closeUrl = closeUrl;
    }

    public String getAdPrams() {
        return adPrams;
    }

    public void setAdPrams(String adPrams) {
        this.adPrams = adPrams;
    }

    public String getThirdPartyPrams() {
        return thirdPartyPrams;
    }

    public void setThirdPartyPrams(String thirdPartyPrams) {
        this.thirdPartyPrams = thirdPartyPrams;
    }

    public String getLinkTel() {
        return linkTel;
    }

    public void setLinkTel(String linkTel) {
        this.linkTel = linkTel;
    }

    public String getH5GameUrl() {
        return h5GameUrl;
    }

    public void setH5GameUrl(String h5GameUrl) {
        this.h5GameUrl = h5GameUrl;
    }

    public String getServerStatus() {
        return serverStatus;
    }

    public void setServerStatus(String serverStatus) {
        this.serverStatus = serverStatus;
    }

    @Override
    public String toString() {
        return "ResultInitBody{" +
                "closeState='" + closeState + '\'' +
                ", linkQq='" + linkQq + '\'' +
                ", updateState='" + updateState + '\'' +
                ", updateUrl='" + updateUrl + '\'' +
                ", isFloatDisable='" + isFloatDisable + '\'' +
                ", closeUrl='" + closeUrl + '\'' +
                ", adPrams='" + adPrams + '\'' +
                ", thirdPartyPrams='" + thirdPartyPrams + '\'' +
                ", linkTel='" + linkTel + '\'' +
                ", h5GameUrl='" + h5GameUrl + '\'' +
                ", serverStatus='" + serverStatus + '\'' +
                '}';
    }
}
